
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发之手势识别 / iVAN</title>

    <meta name="description" content="iOS开发之手势识别 感觉有必要把iOS开发中的手势识别做一个小小的总结.在上一篇iOS开发之自定义表情键盘(组件封装与自动布局)博客中用到了一个轻击手势,就是在轻击TextView时从表情键盘回到系统键盘,在TextView中的手是用storyboard添加的.下面会先给出如何用storyboard给相应的控件添加手势,然后在用纯代码的方式给我们的控件添加手势,手势的用法比较简单.和button的用法类似,也是目标动作回调,话不多说,切入今天的正题.总共有六种手势识别:轻击手势(TapGestureRecogniz">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发之手势识别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　感觉有必要把iOS开发中的手势识别做一个小小的总结。在上一篇<a href="http://www.cnblogs.com/ludashi/p/3977867.html" rel="external nofollow noreferrer">iOS开发之自定义表情键盘(组件封装与自动布局)</a>博客中用到了一个轻击手势，就是在轻击TextView时从表情键盘回到系统键盘，在TextView中的手是用storyboard添加的。下面会先给出如何用storyboard给相应的控件添加手势，然后在用纯代码的方式给我们的控件添加手势，手势的用法比较简单。和button的用法类似，也是目标动作回调，话不多说，切入今天的正题。总共有六种手势识别：轻击手势（TapGestureRecognizer）,轻扫手势（SwipeGestureRecognizer）, 长按手势（LongPressGestureRecognizer）,  拖动手势（PanGestureRecognizer）, 捏合手势（PinchGestureRecognizer）,旋转手势（RotationGestureRecognizer）;</p>
<p>　　其实这些手势用touche事件完全可以实现，苹果就是把常用的触摸事件封装成手势，来提供给用户。读者完全可以用TouchesMoved来写拖动手势等</p>
<p>　　一，用storyboard给控件添加手势识别，当然啦用storyboard得截张图啦</p>
<p>　　　　1.用storyboard添加手势识别，和添加一个Button的步骤一样，首先我们得找到相应的手势，把手势识别的控件拖到我们要添加手势的控件中，截图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzU0NTQ0Ni8yMDE0MDkvMjAxMDQ4MjE1NjUyNjM3LnBuZw==.jpg"><br />
2.给我们拖出的手势添加回调事件，和给Button回调事件没啥区别的，在回调方法中添加要实现的业务逻辑即可，截图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzU0NTQ0Ni8yMDE0MDkvMjAxMDU2MTk3ODQ5MDM4LnBuZw==.jpg"></p>
<p> </p>
<p>　　</p>
<p>　　二，纯代码添加手势识别</p>
<p>　　　　用storyboard可以大大简化我们的操作，不过纯代码的方式还是要会的，就像要Dreamwear编辑网页一样（当然啦，storyboard的拖拽功能要比Dreamwear的拖拽强大的多），用纯代码敲出来的更为灵活，更加便于维护。不过用storyboard可以减少我们的工作量，这两个要配合着使用才能大大的提高我们的开发效率。个人感觉用storyboard把框架搭起来（Controller间的关系），一下小的东西还是用纯代码敲出来更好一些。下面就给出如何给我们的控件用纯代码的方式来添加手势识别。</p>
<p>　　　　1.轻击手势（TapGestureRecognizer）的添加</p>
<p>　　　　　　初始化代码TapGestureRecongnizer的代码如下：</p>
<pre><code>//新建tap手势
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(tapGesture:)];
    //设置点击次数和点击手指数
    tapGesture.numberOfTapsRequired = 1; //点击次数
    tapGesture.numberOfTouchesRequired = 1; //点击手指数
    [self.view addGestureRecognizer:tapGesture];</code></pre>
<p>　　　　在回调方法中添加相应的业务逻辑：
<pre><code>1 //轻击手势触发方法
2 -(void)tapGesture:(id)sender
3 {
4     //轻击后要做的事情
5 }</code></pre>
<p> </p>
<p>　　　　2.长按手势（LongPressGestureRecognizer）</p>
<p>　　　　　　初始化代码：</p>
<pre><code>//添加长摁手势
    UILongPressGestureRecognizer *longPressGesture = [[UILongPressGestureRecognizer alloc] initWithTarget:self action:@selector(longPressGesture:)];
    //设置长按时间
    longPressGesture.minimumPressDuration = 0.5; //(2秒)
    [self.view addGestureRecognizer:longPressGesture];</code></pre>
<p>　　　　　在对应的回调方法中添加相应的方法（当手势开始时执行）：
<pre><code>//常摁手势触发方法
-(void)longPressGesture:(id)sender
{
    UILongPressGestureRecognizer *longPress = sender;
    if (longPress.state == UIGestureRecognizerStateBegan)
    {
        UIAlertView *alter = [[UIAlertView alloc] initWithTitle:@"提示" message:@"长按触发" delegate:nil cancelButtonTitle:@"取消" otherButtonTitles: nil];
        [alter show];
    }
}</code></pre>
<p>　　　　代码说明：手势的常用状态如下</p>
<p>　　　　　　开始：UIGestureRecognizerStateBegan</p>
<p>　　　　　　改变：UIGestureRecognizerStateChanged</p>
<p>　　　　　　结束：UIGestureRecognizerStateEnded</p>
<p>　　　　　   取消：UIGestureRecognizerStateCancelled</p>
<p>　　　　　　失败：UIGestureRecognizerStateFailed</p>
<p> </p>
<p>　　　　3.轻扫手势（SwipeGestureRecognizer）</p>
<p>　　　　　　在初始化轻扫手势的时候得指定轻扫的方向，上下左右。 如果要要添加多个轻扫方向，就得添加多个轻扫手势，不过回调的是同一个方法。</p>
<p>　　　　　　添加轻扫手势，一个向左一个向右，代码如下：</p>
<pre><code>//添加轻扫手势
    UISwipeGestureRecognizer *swipeGesture = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(swipeGesture:)];
    //设置轻扫的方向
    swipeGesture.direction = UISwipeGestureRecognizerDirectionRight; //默认向右
    [self.view addGestureRecognizer:swipeGesture];

    //添加轻扫手势
    UISwipeGestureRecognizer *swipeGestureLeft = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(swipeGesture:)];
    //设置轻扫的方向
    swipeGestureLeft.direction = UISwipeGestureRecognizerDirectionLeft; //默认向右
    [self.view addGestureRecognizer:swipeGestureLeft];</code></pre>
<p>　　　　　回调方法如下：
<pre><code>//轻扫手势触发方法
-(void)swipeGesture:(id)sender
{
    UISwipeGestureRecognizer *swipe = sender;
    if (swipe.direction == UISwipeGestureRecognizerDirectionLeft)
    {
        //向左轻扫做的事情
    }
    if (swipe.direction == UISwipeGestureRecognizerDirectionRight)
    {
        //向右轻扫做的事情
    }
}</code></pre>
<p> </p>
<p>　　　　4.捏合手势（PinchGestureRecognizer）</p>
<p>　　　　　　捏合手势初始化</p>
<pre><code>1     //添加捏合手势
2     UIPinchGestureRecognizer *pinchGesture = [[UIPinchGestureRecognizer alloc] initWithTarget:self action:@selector(pinchGesture:)];
3     [self.view addGestureRecognizer:pinchGesture];</code></pre>
<p>　　　　　　捏合手势要触发的方法（放大或者缩小图片）：
<pre><code>////捏合手势触发方法
-(void) pinchGesture:(id)sender
{
     UIPinchGestureRecognizer *gesture = sender;

    //手势改变时
    if (gesture.state == UIGestureRecognizerStateChanged)
    {
        //捏合手势中scale属性记录的缩放比例
        _imageView.transform = CGAffineTransformMakeScale(gesture.scale, gesture.scale);
    }

    //结束后恢复
    if(gesture.state==UIGestureRecognizerStateEnded)
    {
        [UIView animateWithDuration:0.5 animations:^{
            _imageView.transform = CGAffineTransformIdentity;//取消一切形变
        }];
    }
}</code></pre>
<p> </p>
<p>　　　　5.拖动手势（PanGestureRecognizer）</p>
<p>　　　　　　拖动手势的初始化</p>
<pre><code>1     //添加拖动手势
2     UIPanGestureRecognizer *panGesture = [[UIPanGestureRecognizer alloc] initWithTarget:self action:@selector(panGesture:)];
3     [self.view addGestureRecognizer:panGesture];</code></pre>
<p>　　　　拖动手势要做的方法（通过translationInView获取移动的点，和TouchesMoved方法类似）
<pre><code>//拖动手势
-(void) panGesture:(id)sender
{
    UIPanGestureRecognizer *panGesture = sender;

    CGPoint movePoint = [panGesture translationInView:self.view];

    //做你想做的事儿
}</code></pre>
<p>　　</p>
<p>　　　　6.旋转手势（RotationGestureRecognizer）</p>
<p>　　　　　　旋转手势的初始化</p>
<pre><code>1     //添加旋转手势
2     UIRotationGestureRecognizer *rotationGesture = [[UIRotationGestureRecognizer alloc] initWithTarget:self action:@selector(rotationGesture:)];
3     [self.view addGestureRecognizer:rotationGesture];</code></pre>
<p>　　　　　　旋转手势调用的方法：
<pre><code>//旋转手势
-(void)rotationGesture:(id)sender
{

    UIRotationGestureRecognizer *gesture = sender;

    if (gesture.state==UIGestureRecognizerStateChanged)
    {
        _imageView.transform=CGAffineTransformMakeRotation(gesture.rotation);
    }

    if(gesture.state==UIGestureRecognizerStateEnded)
    {

        [UIView animateWithDuration:1 animations:^{
            _imageView.transform=CGAffineTransformIdentity;//取消形变
        }];
    }

}</code></pre>
<p>　</p>
<p>　　上面的东西没有多高深的技术，就是对iOS开发中的手势做了一下小小的总结，温故一下基础知识。在之前的博客中也有用到手势识别的内容，就是没有系统的梳理一下手势识别的知识，本篇博客做一个基础的补充吧。欢迎批评指正。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:35:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/storyboard/" title="storyboard">storyboard</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e5%8a%bf%e8%af%86%e5%88%ab/" title="手势识别">手势识别</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发之手势识别的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAWqEb.html" rel="bookmark">iOS开发中手势识别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS开发中手势识别有六种: 轻击手势(TapGestureRecognizer), 轻扫手势(SwipeGestureRecognizer), 长按手势(LongPressGestureRecognizer), 拖动手势(PanGestureRecognizer), 捏合手势(PinchGestureRecognizer), 旋转手势(RotationGestureRecognizer), 1,轻击手势(TapGestureRecognizer) UITapGestureRecognizer*			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6EBqM.html" rel="bookmark">iOS开发之手势识别实例&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感觉有必要把iOS开发中的手势识别做一个小小的总结.下面会先给出如何用storyboard给相应的控件添加手势,然后在用纯代码的方式给我们的控件添加手势,手势的用法比较简单.和button的用法类似,也是目标 动作回调,话不多说,切入今天的正题. 总共有六种手势识别:轻击手势(TapGestureRecognizer),轻扫手势 (SwipeGestureRecognizer), 长按手势(LongPressGestureRecognizer),  拖动手势(PanGestureRecogniz			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9EOo4M.html" rel="bookmark">iOS开发之手势识别&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.UIGestureRecognizer简单介绍 我们已经学习了触摸事件处理,但触摸事件处理起来很麻烦,每个触摸事件处理都需要实现3个touches方法,比较繁琐,实际上我们可以使用更加简单的触摸事件处理操作,那就是 手势识别UIGestureRecognizer . 手势识别操作基类UIGestureRecognizer不能直接使用,我们常使用的是它的子类,这些手势操作类都继承自UIGestureRecognizer类 常用手势识别子类: 点按手势 UITapGestureRecognize			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgKLEM.html" rel="bookmark">iOS开发之微信聊天工具栏的封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前山寨了一个新浪微博(iOS开发之山寨版新浪微博小结),这几天就山寨个微信吧.之前已经把微信的视图结构简单的拖了一下(IOS开发之微信山寨版),今天就开始给微信加上具体的实现功能,那么就先从微信的聊天界面开始吧.提到封装是少不了写代码的,在封装组件的时候,为了组件的可移植性,我们就不能用storyboard来拖拽了.为了屏幕的适配,适应不同屏幕的手机,所以在封装组件的时候是少不了为我们的组件来添加约束.今天博客中的所有代码都是脱离storyboard的,这些代码在别的工程中也是可以使用的.好,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQraaWM.html" rel="bookmark">iOS开发之微信聊天页面实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇博客(iOS开发之微信聊天工具栏的封装)中对微信聊天页面下方的工具栏进行了封装,本篇博客中就使用之前封装的工具栏来进行聊天页面的编写.在聊天页面中主要用到了TableView的知识,还有如何在俩天中显示我们发送的表情,具体请参考之前的博客:IOS开发之显示微博表情,在这儿就不做赘述啦.在聊天页面用到了三对,六种Cell,不过cell的复杂度要比之前的新浪微博(IOS开发之新浪围脖)简单的多.废话少说吧,还是先来几张效果图,在给出实现代码吧. 聊天界面的效果图如下:在下面的聊天界面中中用到了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNBXep.html" rel="bookmark">iOS开发之微信聊天工具栏的封装&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信大家基本上都用过,今天要做的就是微信的聊天工具条.聊天工具条还是比较复杂的,其中包括发送表情,发送文字,发送图片,发送声音,拍照等等功能,下面给出发送录音,文字,表情的代码,其他的和这几样类似.还是那句话百字不如一图,先来几张效果图吧. 在封装聊天工具条的的时候表情键盘是之前封装好的,所以拿过来就可以用的啦.因为不管是工具条还是表情键盘都是用约束来控件大小的,所以横屏也是没问题的,在大屏手机上也是没问题的.下面将会一步步讲解如何封装下面的聊天工具条.主要是对工具条的封装,表情键盘在这就不做讲			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw6vlM.html" rel="bookmark">iOS开发系列--触摸事件、手势识别、摇晃事件、耳机线控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概览 iPhone的成功很大一部分得益于它多点触摸的强大功能,乔布斯让人们认识到手机其实是可以不用按键和手写笔直接操作的,这不愧为一项伟大的设计.今天我们就针对iOS的触摸事件(手势操作).运动事件.远程控制事件等展开学习: iOS事件简介 触摸事件 手势识别 运动事件 远程控制事件 iOS事件 在iOS中事件分为三类: 触摸事件:通过触摸.手势进行触发(例如手指点击.缩放) 运动事件:通过加速器进行触发(例如手机晃动) 远程控制事件:通过其他远程设备触发(例如耳机控制按钮) 下图是苹果官方对于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bam6Gnb.html" rel="bookmark">iOS开发系列--并行开发其实很容易</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概览 大家都知道,在开发过程中应该尽可能减少用户等待时间,让程序尽可能快的完成运算.可是无论是哪种语言开发的程序最终往往转换成汇编语言进而解释成机器码来执行.但是机器码是按顺序执行的,一个复杂的多步操作只能一步步按顺序逐个执行.改变这种状况可以从两个角度出发:对于单核处理器,可以将多个步骤放到不同的线程,这样一来用户完成UI操作后其他后续任务在其他线程中,当CPU空闲时会继续执行,而此时对于用户而言可以继续进行其他操作:对于多核处理器,如果用户在UI线程中完成某个操作之后,其他后续操作在别的线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj0mep.html" rel="bookmark">iOS开发中的手势体系&mdash;&mdash;UIGestureRecognizer分析及其子类的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS开发中的手势体系--UIGestureRecognizer分析及其子类的使用 一.引言         在iOS系统中,手势是进行用户交互的重要方式,通过UIGestureRecognizer类,我们可以轻松的创建出各种手势应用于app中.关于UIGestureRecognizer类,是对iOS中的事件传递机制面向应用的封装,将手势消息的传递抽象为了对象.有关消息传递的一些讨论,在前面的博客中有提到: iOS事件响应控制:http://my.oschina.net/u/2340880/bl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJBE8z.html" rel="bookmark" class="title">第一课&colon;Are you ready&quest;</a>
					<div>
						如何令你的网站&quot;动感十足&quot; 您的网站是否仍一如既往地保持&quot;静态&quot;?目前呈几何增长的互联网网站中,有相当一部分仍固守&quot;静态&quot;,无形中已大大落后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv0j8z.html" rel="bookmark" class="title">SKYCC组合营销软件亮点大追踪一：广告信息发布组合</a>
					<div>
						自2012年2月SKYCC推出组合营销软件以来,网络上关于组合营销软件的新闻和评论也不在少数.SKYCC也一直努力如何让更多的中小企业实现多方位营销,让网络营销为企业创造出更多的价值.中小企业如何进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgGl3M.html" rel="bookmark" class="title">SEO整站优化与传统关键词优化的区别</a>
					<div>
						什么是整站优化 SEO优化也叫网站优化,是一种利用搜索引擎排名规则的技术手段,用来提高网站在搜索引擎上排名,从而获得更多的目标客户访问网站.现在用户已经习惯使用搜索引擎查找自己需要的产品或服务,所以不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE1E3b.html" rel="bookmark" class="title">局域网技术基础：冲突域与广播域</a>
					<div>
						局域网技术中,冲突域与广播域这两个词对网络性能影响很大,下面让我们看一看这两个词是如何影响网络性能的. 局域网技术之冲突域 假如你想将车驶出高速公路,但每做一次尝试,都有一辆车挡住你的去路.如果强行出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNBNrb.html" rel="bookmark" class="title">选择入侵者的角色：渗透测试的起点</a>
					<div>
						渗透服务是为了验证漏洞的可被利用性,以及被利用的程度,即所能造成的威胁有多大.企业信息安全防御体系面临的攻击是多方面的,不仅有来自外部的入侵,而且有来自内部各类人员的窃取与篡改.如何选择渗透的起点,模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balg1Qz.html" rel="bookmark" class="title">eclipse &plus; JBoss 5 &plus; EJB3开发指南（8）</a>
					<div>
						实现Entity Bean的一对多(one-to-many)映射 EJB3的一对多映射使用@OneToMany来设置,如果是双向的一对多映射,在many方需要使用@ManyToOne 设置.在本书中给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Oa7b.html" rel="bookmark" class="title">光影魔术手怎么用</a>
					<div>
						  光影魔术手的使用方法很简单: 1.首先到官方网站或本站下载最新版本,然后在桌面上找到图标打开,打开后用户在左上角找到&quot;打开&quot;字样的标志,打开一张想要编辑的照片,最好先把想要编辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kjlAz.html" rel="bookmark" class="title">PS调出气氛更坚毅的运动照片</a>
					<div>
						有时我们会拍摄运动照片 (其实我不太多啦--),例如上图是某年的竞步赛,如何让照片更有气氛,更有运动员坚毅的感觉呢?在 Photoshop 使用几个步骤就可以做到∶   1) 用 Photoshop  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24ROvp.html" rel="bookmark" class="title">Win7系统如何把默认安装路径C盘换成D盘缓解C压力</a>
					<div>
						  Win7系统如何把默认安装路径C盘换成D盘缓解C压力          1.按&quot;Win+R&quot;调出&quot;运行&quot;对话框,输入&quot;regedit&quot;命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJrYEp.html" rel="bookmark" class="title">Win8&period;1计算器快速打开的三种方法</a>
					<div>
						  win8系统是颠覆性最强的一款系统,最原始的开始菜单不见了,里面很多用户经常使用的小工具也随之消失,也许隐藏在电脑里的某个角落了,但是我们一时难以找到,比如说计算机功能.计算机是我们平时经常使用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8mOKb.html" rel="bookmark" class="title">如何用win7修复命令修复系统故障</a>
					<div>
						  系统损坏了怎么办?或者说系统中毒了怎么办?很多朋友可能还是会机械的选择重装系统或者是还原系统的方式来解决问题,其实轻微的系统故障并不值得我们那么劳师动众,win7系统自带的修复命令就可以帮我们解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXYaAp.html" rel="bookmark" class="title">笔记本内部硬件构造有哪些？</a>
					<div>
						  笔记本电脑作为我们日常生活中的一个重要的工作学习的工具,已经被大家所熟悉,广大电脑爱好者应该都接触过笔记本,它相比台式机体系小巧便于携带,但也正因为它的体形较小,拆卸较台式机稍显困难,所以笔记本内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg32wmM.html" rel="bookmark" class="title">ESC之ESC&period;wsf可以实现javascript的代码压缩附使用方法第1&sol;5页&lowbar;javascript技巧</a>
					<div>
						作用:可以对javascript的大小进行压缩.使javascript的加载速度变快. 用法: 在 cmd下面输入的东西: cscript ESC.wsf -l 3 -ow ../global.js  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6gGoM.html" rel="bookmark" class="title">linux下磁盘容量和df命令原理</a>
					<div>
						df命令是linux下查看磁盘容量的常用命令.可以列出block数量,总容量,使用率等.这次使用python编写一个类似功能的模块,顺便学习一下df的原理. 直接输入df命令可以看到 Filesyst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQOkDp.html" rel="bookmark" class="title">Map&amp;amp&semi;amp&semi;lt&semi;String&comma;String&amp;amp&semi;amp&semi;gt&semi; rm&equals;new HashMap&amp;amp&semi;amp&semi;lt&semi;String&comma;String&amp;amp&semi;amp&semi;gt&semi;&lpar;2&rpar;这个2是什么意思？</a>
					<div>
						问题描述 如题了,请问一下这个2干嘛的?有他没有他有啥不同? 解决方案 解决方案二:HashMappublicHashMap(intinitialCapacity)构造一个带指定初始容量和默认加载因子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NQRLM.html" rel="bookmark" class="title">mysql 多个事务更新同一条记录产生死锁</a>
					<div>
						问题描述 mysql 多个事务更新同一条记录产生死锁 以下是用show innodb status 查看的死锁信息,都是通过主键索引userId去更新记录,没有其他索引的影响,不应该会产生死锁啊,请大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK7Ovb.html" rel="bookmark" class="title">c语言-C语言，把大写字母转换成小写字母的函数，请问哪里错了？</a>
					<div>
						问题描述 C语言,把大写字母转换成小写字母的函数,请问哪里错了? main.c #include int main(void) { char ch; for (; (ch = getchar()) ! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqwdLz.html" rel="bookmark" class="title">java modbus TCP&sol;IP 报文解析成真实数据</a>
					<div>
						问题描述 java modbus TCP/IP 报文解析成真实数据 java modbus TCP/IP 怎么解析modbus报文成为真是数据					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE0a2M.html" rel="bookmark" class="title">FreeBSD 终端配置</a>
					<div>
						第 4 章 terminal 目录 4.1. 分辨率4.2. 屏幕保护4.3. 键盘设置 4.1. 分辨率 使用下面的命令获得本机支持的显示模式 vidcontrol -i mode &lt; /de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKr3Wz.html" rel="bookmark" class="title">Java面向对象高级--对象的多态性</a>
					<div>
						向上转型:通过子类进行父类对象实例化操作.如果调用的方法被子类覆写过,则肯定调用被覆写过的方法.注意:转型之后,因为操作的是父类对象,所以无法找到子类中定义的新方法. class A{ // 定义类A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeonW7M.html" rel="bookmark" class="title">ubuntu 10&period;10配置NFS网络共享步骤</a>
					<div>
						安装好交叉编译环境arm-linux-gcc之后,就开始配置NFS网络共享,用于不同的linux主机与目标机之间文件的共享.如果是windows和linux的共享则需用samba服务. NFS(Net ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn8X1M.html" rel="bookmark" class="title">枫树浏览器v1&period;6&period;2&period;0 for Windows&lpar;基于Chromium 11&period;0&period;696&period;77&rpar;</a>
					<div>
						枫树浏览器是基于谷歌http://www.aliyun.com/zixun/aggregation/33824.html&quot;&gt;Chrome浏览器的极速双核安全浏览器.具备谷歌浏览器所有特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgvYkM.html" rel="bookmark" class="title">求助：SecureCRT 7&period;2无法ssh到虚拟机</a>
					<div>
						问题描述 1.正确配置了安全组,安全组规则如下图所示:2.SecureCRT7.2使用的是私钥登录:3.已经绑定浮动ip:求大神给点诊断意见,小弟需要老中医下手治疗,先跪谢大神! 解决方案 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBjr6z.html" rel="bookmark" class="title">Java面向对象基础--this关键字的解析</a>
					<div>
						this关键字的作用: 1.表示类中的属性. class Person{ // 定义Person类 private String name ; // 姓名 private int age ; // 年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GYDWp.html" rel="bookmark" class="title">Django Highcharts制作图表&lowbar;python</a>
					<div>
						在运维工作总很多数据最终的展现方式要用到图表,毕竟用图来展示要比一堆数字更直观些,比如利用率.站点的PV,UV等,大家千万不要觉得看到很多漂亮的图就感觉很难,其实真心不是,因为现在有很多前端的绘图库, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Kvxb.html" rel="bookmark" class="title">三星GALAXY A9&lpar;2016&rpar;手机截屏方法&quest;&lpar;A9000&rpar;</a>
					<div>
						三星GALAXY A9(2016)手机截屏方法有许多种这里小编来为各位整理2种了,具体的操作方法如下所示. 若您截取屏幕,请按照以下方法操作:  方法一:快捷键截屏.  同时按住[主屏幕]键和手机右侧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOn8Jb.html" rel="bookmark" class="title">js 操作select与option&lpar;示例讲解&rpar;&lowbar;javascript技巧</a>
					<div>
						1.动态创建select 复制代码 代码如下:      function createSelect(){ var mySelect = document.createElement_x(&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA06Op.html" rel="bookmark" class="title">算法 边介数-算法&comma; 边介数问题 该如何求解</a>
					<div>
						问题描述 算法, 边介数问题 该如何求解 请问各个边的介数要怎么求解?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO6lEb.html" rel="bookmark" class="title">基于jquery图片幻灯片效果代码</a>
					<div>
						先来看看效果图片 代码如下,jquery文件大家可以到http://down.111cn.net去下载,这里就不给出来了  代码如下 复制代码 &lt;!DOCTYPE html PUBLIC &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvgElp.html" rel="bookmark" class="title">asp&period;net2&period;0无法运行</a>
					<div>
						问题描述 win2003+iis6.0+.net2.0,无法运行asp.net的程序,报错如下这台服务器是我们学校网络中心的主服务器不能给我完全管理(就是不能重装==大动作,只能修改设置)同样的程序我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
